Bug 1291010 - [ARM] terminate called after throwing an instance of 'std::length_error'
[ARM] terminate called after throwing an instance of 'std::length_error'
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: InsightToolkit (Show other bugs)
24
arm Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1279176 1279579 1285112 1288739
  Show dependency treegraph
 
Reported: 2015-12-12 13:37 EST by Igor Gnatenko
Modified: 2017-08-08 08:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:31:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-12-12 13:37:19 EST
petpvc, DiffusionKurtosisFit, isis failing to run/tests only on ARM due to:

1: terminate called after throwing an instance of 'std::length_error'
1:   what():  vector::_M_fill_insert


All of those using ITK, so I think bug is here
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-12-12 15:06:50 EST
Yeah, I looked into this briefly, but without any success. I got access to an arm machine [https://fedoraproject.org/wiki/Test_Machine_Resources_For_Package_Maintainers#Available_Machines.2FInstances], and this is not reproducible on F23. I'll try again with rawhide.
Comment 2 Igor Gnatenko 2015-12-12 15:17:47 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> Yeah, I looked into this briefly, but without any success. I got access to
> an arm machine
> [https://fedoraproject.org/wiki/
> Test_Machine_Resources_For_Package_Maintainers#Available_Machines.
> 2FInstances], and this is not reproducible on F23. I'll try again with
> rawhide.

On arm03-* you can install mock and initialize chroot with rawhide.
Comment 3 Jan Kurik 2016-02-24 10:46:42 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Igor Gnatenko 2016-07-07 05:59:15 EDT
ping?
Comment 5 Igor Gnatenko 2016-08-14 12:09:53 EDT
ping once more?
Comment 6 Mario Ceresa 2016-08-29 10:47:04 EDT
Dear Igor,
Thanks for the prodding. I have all fedora related email in a separate box and I've not been reading them lately. I'm sorry for not replying earlier to you and even more so if that affected your productivity.

I have to confess that I have almost no idea on how to fix the error on the ARM arch. If you are able to investigate the problem further, or to create a patch I'll be happy to apply it myself or to give you access to the repo.

With best regards,

Mario
Comment 7 Igor Gnatenko 2016-08-29 13:24:46 EDT
(In reply to Mario Ceresa from comment #6)
> Dear Igor,
> Thanks for the prodding. I have all fedora related email in a separate box
> and I've not been reading them lately. I'm sorry for not replying earlier to
> you and even more so if that affected your productivity.
> 
> I have to confess that I have almost no idea on how to fix the error on the
> ARM arch. If you are able to investigate the problem further, or to create a
> patch I'll be happy to apply it myself or to give you access to the repo.
> 
> With best regards,
> 
> Mario

Report bug to upstream.
Comment 8 Fedora Admin XMLRPC Client 2016-08-30 05:29:32 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Mario Ceresa 2016-08-30 05:33:15 EDT
Sorry Igor, I think it is better to acknowledge that I'm not able to properly mantain the package in this moment.

Best,

Mario
Comment 10 Fedora Admin XMLRPC Client 2016-08-30 05:34:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora End Of Life 2017-07-25 15:37:54 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2017-08-08 08:31:00 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.